Viewing docs for avi 31.2.2
published on Tuesday, Feb 10, 2026 by vmware
published on Tuesday, Feb 10, 2026 by vmware
Viewing docs for avi 31.2.2
published on Tuesday, Feb 10, 2026 by vmware
published on Tuesday, Feb 10, 2026 by vmware
<!–
Copyright 2021 VMware, Inc.
SPDX-License-Identifier: Mozilla Public License 2.0
–>
layout: “avi”
page_title: “AVI:<span pulumi-lang-nodejs=” avi.Webhook"" pulumi-lang-dotnet=" avi.Webhook"" pulumi-lang-go=" Webhook"" pulumi-lang-python=" Webhook"" pulumi-lang-yaml=" avi.Webhook"" pulumi-lang-java=" avi.Webhook""> avi.Webhook" sidebar_current: “docs-avi-datasource-webhook” description: |- Get information of Avi Webhook.
# avi.Webhook This data source is used to to get avi.Webhook objects.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as avi from "@pulumi/avi";
const fooWebhook = avi.getWebhook({
uuid: "webhook-f9cf6b3e-a411-436f-95e2-2982ba2b217b",
name: "foo",
});
import pulumi
import pulumi_avi as avi
foo_webhook = avi.get_webhook(uuid="webhook-f9cf6b3e-a411-436f-95e2-2982ba2b217b",
name="foo")
package main
import (
"github.com/pulumi/pulumi-terraform-provider/sdks/go/avi/v31/avi"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := avi.LookupWebhook(ctx, &avi.LookupWebhookArgs{
Uuid: pulumi.StringRef("webhook-f9cf6b3e-a411-436f-95e2-2982ba2b217b"),
Name: pulumi.StringRef("foo"),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Avi = Pulumi.Avi;
return await Deployment.RunAsync(() =>
{
var fooWebhook = Avi.GetWebhook.Invoke(new()
{
Uuid = "webhook-f9cf6b3e-a411-436f-95e2-2982ba2b217b",
Name = "foo",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.avi.AviFunctions;
import com.pulumi.avi.inputs.GetWebhookArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var fooWebhook = AviFunctions.getWebhook(GetWebhookArgs.builder()
.uuid("webhook-f9cf6b3e-a411-436f-95e2-2982ba2b217b")
.name("foo")
.build());
}
}
variables:
fooWebhook:
fn::invoke:
function: avi:getWebhook
arguments:
uuid: webhook-f9cf6b3e-a411-436f-95e2-2982ba2b217b
name: foo
Using getWebhook
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getWebhook(args: GetWebhookArgs, opts?: InvokeOptions): Promise<GetWebhookResult>
function getWebhookOutput(args: GetWebhookOutputArgs, opts?: InvokeOptions): Output<GetWebhookResult>def get_webhook(id: Optional[str] = None,
name: Optional[str] = None,
tenant_ref: Optional[str] = None,
uuid: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetWebhookResult
def get_webhook_output(id: Optional[pulumi.Input[str]] = None,
name: Optional[pulumi.Input[str]] = None,
tenant_ref: Optional[pulumi.Input[str]] = None,
uuid: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetWebhookResult]func LookupWebhook(ctx *Context, args *LookupWebhookArgs, opts ...InvokeOption) (*LookupWebhookResult, error)
func LookupWebhookOutput(ctx *Context, args *LookupWebhookOutputArgs, opts ...InvokeOption) LookupWebhookResultOutput> Note: This function is named LookupWebhook in the Go SDK.
public static class GetWebhook
{
public static Task<GetWebhookResult> InvokeAsync(GetWebhookArgs args, InvokeOptions? opts = null)
public static Output<GetWebhookResult> Invoke(GetWebhookInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetWebhookResult> getWebhook(GetWebhookArgs args, InvokeOptions options)
public static Output<GetWebhookResult> getWebhook(GetWebhookArgs args, InvokeOptions options)
fn::invoke:
function: avi:index/getWebhook:getWebhook
arguments:
# arguments dictionaryThe following arguments are supported:
- id str
- name str
- Search Webhook by name.
- tenant_
ref str - It is a reference to an object of type tenant. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- uuid str
- Search Webhook by uuid.
getWebhook Result
The following output properties are available:
- Callback
Url string - Callback url for the webhook. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Configpb
Attributes List<GetWebhook Configpb Attribute> - Protobuf versioning for config pbs. Field introduced in 21.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Description string
- Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Id string
- Markers
List<Get
Webhook Marker> - List of labels to be used for granular rbac. Field introduced in 20.1.6. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Name string
- The name of the webhook profile. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Tenant
Ref string - It is a reference to an object of type tenant. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Uuid string
- Uuid of the webhook profile. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Verification
Token string - Verification token sent back with the callback asquery parameters. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Callback
Url string - Callback url for the webhook. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Configpb
Attributes []GetWebhook Configpb Attribute - Protobuf versioning for config pbs. Field introduced in 21.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Description string
- Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Id string
- Markers
[]Get
Webhook Marker - List of labels to be used for granular rbac. Field introduced in 20.1.6. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Name string
- The name of the webhook profile. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Tenant
Ref string - It is a reference to an object of type tenant. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Uuid string
- Uuid of the webhook profile. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Verification
Token string - Verification token sent back with the callback asquery parameters. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- callback
Url String - Callback url for the webhook. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- configpb
Attributes List<GetWebhook Configpb Attribute> - Protobuf versioning for config pbs. Field introduced in 21.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- description String
- Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- id String
- markers
List<Get
Webhook Marker> - List of labels to be used for granular rbac. Field introduced in 20.1.6. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- name String
- The name of the webhook profile. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- tenant
Ref String - It is a reference to an object of type tenant. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- uuid String
- Uuid of the webhook profile. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- verification
Token String - Verification token sent back with the callback asquery parameters. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- callback
Url string - Callback url for the webhook. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- configpb
Attributes GetWebhook Configpb Attribute[] - Protobuf versioning for config pbs. Field introduced in 21.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- description string
- Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- id string
- markers
Get
Webhook Marker[] - List of labels to be used for granular rbac. Field introduced in 20.1.6. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- name string
- The name of the webhook profile. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- tenant
Ref string - It is a reference to an object of type tenant. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- uuid string
- Uuid of the webhook profile. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- verification
Token string - Verification token sent back with the callback asquery parameters. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- callback_
url str - Callback url for the webhook. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- configpb_
attributes Sequence[GetWebhook Configpb Attribute] - Protobuf versioning for config pbs. Field introduced in 21.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- description str
- Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- id str
- markers
Sequence[Get
Webhook Marker] - List of labels to be used for granular rbac. Field introduced in 20.1.6. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- name str
- The name of the webhook profile. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- tenant_
ref str - It is a reference to an object of type tenant. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- uuid str
- Uuid of the webhook profile. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- verification_
token str - Verification token sent back with the callback asquery parameters. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- callback
Url String - Callback url for the webhook. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- configpb
Attributes List<Property Map> - Protobuf versioning for config pbs. Field introduced in 21.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- description String
- Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- id String
- markers List<Property Map>
- List of labels to be used for granular rbac. Field introduced in 20.1.6. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- name String
- The name of the webhook profile. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- tenant
Ref String - It is a reference to an object of type tenant. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- uuid String
- Uuid of the webhook profile. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- verification
Token String - Verification token sent back with the callback asquery parameters. Field introduced in 17.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
Supporting Types
GetWebhookConfigpbAttribute
- Version string
- Version string
- version String
- version string
- version str
- version String
GetWebhookMarker
Package Details
- Repository
- avi vmware/terraform-provider-avi
- License
- Notes
- This Pulumi package is based on the
aviTerraform Provider.
Viewing docs for avi 31.2.2
published on Tuesday, Feb 10, 2026 by vmware
published on Tuesday, Feb 10, 2026 by vmware
